petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOmpCtrlOmpRegionOnMasterEnd

Mark the end of an OpenMP library call on master ranks

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOmpCtrlOmpRegionOnMasterEnd(PetscOmpCtrl ctrl)

### Input Parameter

ctrl -a PETSc OMP controler

### Notes

Only master ranks can call this function. Call PetscOmpCtrlGetOmpComms to know if this is a master rank. This function restores the CPU binding of master ranks and set and nthreads-var of OpenMP runtime to 1.

### See Also

PetscOmpCtrlOmpRegionOnMasterBegin()

### Level

developer

### Location

src/sys/utils/mpishm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages